const util = require('util');
const vm = require('vm');

module.exports = (lib) => {
  var sandbox = {
    bot: lib.bot,
    output: "nothing",
    e: null
  };
  
  lib.trigger.add({
    name: 'bot debug',
    call: /^\!bot (.*)/i,
    level: 100,
    active: 1,
    func: (e) => {
      var args = e.message.match(/^\!bot (.*)/i)[1];
      sandbox.e = e;
      
      vm.runInNewContext('this.output = '+args, sandbox);
      
      e.reply(util.inspect(sandbox.output));
    },
    desc: 'bot debug'
  });
};